Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007458TestLinkUser Interface Generalpublic2016-03-04 11:302016-09-08 15:13
Reporteratelman 
Assigned Tofman 
PrioritynoneSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007458: User management: alphabetic sorting of the users by login doesnt work
DescriptionAlphabetic sorting for the column "Login" doesnt work
Steps To Reproduce - Open "User management"
 - Column "Login"
 - Click on "Login" to sort login-names

Actual outcome:
 - Entries in the column "login" arnt sorted alphabetically

Expected outcome:
 - alphabetic sorting works for every column
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filesjpg file icon not_ok_110.jpg [^] (94,413 bytes) 2016-03-04 11:30

- Relationships

-  Notes
(0024564)
fman (administrator)
2016-03-04 16:25

>> Expected outcome:
>> - alphabetic sorting works for every column
this is not an issue but a feature request
(0024565)
fman (administrator)
2016-03-04 16:28

using old third party component from EXT-JS.
(0024568)
fman (administrator)
2016-03-05 08:23
edited on: 2016-03-05 08:23

it seems order is done by user id on db!!

(0024569)
fman (administrator)
2016-03-05 08:35

Just checked table can be sorted by last name, first name, role, locale, email.
have you checked behaviour on all these columns before writting?

Expected outcome:
 - alphabetic sorting works for every column
(0024570)
fman (administrator)
2016-03-05 09:43

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/988f171c39595dc39db345e114d1c2142ed46393 [^]
(0025278)
fman (administrator)
2016-09-08 15:13

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-03-04 11:30 atelman New Issue
2016-03-04 11:30 atelman File Added: not_ok_110.jpg
2016-03-04 16:25 fman Note Added: 0024564
2016-03-04 16:28 fman Note Added: 0024565
2016-03-04 16:28 fman QA Team - Task Workflow Status => TBD
2016-03-04 16:28 fman Priority normal => none
2016-03-05 08:23 fman Note Added: 0024568
2016-03-05 08:23 fman Note Edited: 0024568 View Revisions
2016-03-05 08:35 fman Note Added: 0024569
2016-03-05 09:43 fman Note Added: 0024570
2016-03-05 09:43 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-03-05 09:43 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-03-05 09:43 fman Status new => resolved
2016-03-05 09:43 fman Resolution open => fixed
2016-03-05 09:43 fman Assigned To => fman
2016-09-08 15:13 fman Note Added: 0025278
2016-09-08 15:13 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker